\chapter{Validation of BDT Reweighting}\label{App:BDTRW}


This appendix contains plots validating the use of a BDT to simultaneously correct multiple Monte Carlo distributions. A $k=2$ $k$-factor cross validation method is used with data separated by magnet polarity, i.e. the MagUp data is used to correct MagDown data. The BDT response variables and correction weights for both polarities is plotted in Figure~\ref{fig:APP_RW_K} for the correcting of \BsToKMuNu Monte Carlo using {\Bu\to\jpsi\Kp} decays. The BDT response and correction weights for \BsToDsMuNu are plotted in Figure~\ref{fig:APP_RW_Ds}. A selection of kinematic distributions for Data, corrected and uncorrected Monte Carlo are plotted in Figure~\ref{fig:App_ReWeight_All} for both \BsToKMuNu and \BsToDsMuNu demonstrating the effectiveness of this method.


\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.48\textwidth,page=1]{BDT_RW_Plots.pdf}
	\includegraphics[width=0.48\textwidth,page=2]{BDT_RW_Plots.pdf}\\

	\includegraphics[width=0.48\textwidth,page=3]{BDT_RW_Plots.pdf}
	\includegraphics[width=0.48\textwidth,page=4]{BDT_RW_Plots.pdf}\\

	\caption[BDT response and correction weights for \BsToKMuNu.]{The BDT Response and weights when using ${\Bu\to\jpsi\Kp}$ reconstructed as \Bs\to\Km\mup. Trained using MagUp and used to correct MagDown (top) and vice versa (bottom)}
	\label{fig:APP_RW_K}
\end{figure}

\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.48\textwidth,page=5]{BDT_RW_Plots.pdf}
	\includegraphics[width=0.48\textwidth,page=6]{BDT_RW_Plots.pdf}\\

	\includegraphics[width=0.48\textwidth,page=7]{BDT_RW_Plots.pdf}
	\includegraphics[width=0.48\textwidth,page=8]{BDT_RW_Plots.pdf}\\

	\caption[BDT response and correction weights for \BsToDsMuNu.]{The BDT Response and weights when using $\BsToDsMuNu X$. Trained using MagUp and used to correct MagDown (top) and vice versa (bottom)}
	\label{fig:APP_RW_Ds}
\end{figure}


\begin{figure}[htbp]
	\centering
	%\includegraphics[width=0.48\textwidth,page=1]{RW_K.pdf}
	%\includegraphics[width=0.48\textwidth,page=1]{RW_Ds.pdf}\\

	\includegraphics[width=0.48\textwidth,page=2]{RW_K.pdf}
	\includegraphics[width=0.48\textwidth,page=2]{RW_Ds.pdf}\\

	\includegraphics[width=0.48\textwidth,page=3]{RW_K.pdf}
	\includegraphics[width=0.48\textwidth,page=3]{RW_Ds.pdf}\\

	\includegraphics[width=0.48\textwidth,page=4]{RW_K.pdf}
	\includegraphics[width=0.48\textwidth,page=4]{RW_Ds.pdf}\\

	\includegraphics[width=0.48\textwidth,page=5]{RW_K.pdf}
	\includegraphics[width=0.48\textwidth,page=5]{RW_Ds.pdf}\\

	\caption{The kinematic distributions of all variables corrected using the BDT ReWeighter method.}
	\label{fig:App_ReWeight_All}
\end{figure}
